<?php
require_once __DIR__ . '/UsuarioController.php';
header('Content-type: application/json');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $usuario = $_POST['usuario'];
    $contrasena = $_POST['contrasena'];

    $resultado = UsuarioController::crearUsuario($usuario, $contrasena);
    echo json_encode($resultado);

} else {
    http_response_code(400);
    echo json_encode([
        'estado' => 'error',
        'mensaje' => 'Método no permitido.'
    ]);
}
?>